Subject: Re: bug#49866: 28.0.50; gnus-summary-exit from the transient search buffer giving error

From: Pankaj Jangid <[email-masked]>
Date: Thu, 05 Aug 2021 22:36:06 +0530

Eric Abrahamsen <[email-masked]> writes:

> Pankaj Jangid <[email-masked]> writes:
>
>> I think I have isolated the cause. And the error is cause by these lines
>> in my ~/.emacs.d/init.el (only if ebdb package is installed):
>>
>> (when (package-installed-p 'ebdb)
>>   (require 'ebdb-gnus)
>>   (require 'ebdb-message))
>>
>>
>> If I remove the package ebdb then the error goes away.
>
> That's pretty weird, as EBDB doesn't mess with Gnus marks at all.
> Perhaps it is raising an error at some point, which is interrupting
> nnselect's normal buffer setup? That's a completely wild guess.
>
> Maybe try setting `ebdb-mua-auto-update-p' to nil and try again?
> Whatever damage EBDB might be doing to Gnus should be done in the auto
> update process.
>
> But again, I can't even begin to guess why this would be happening.

more weird things happening here.

I have ‘ebdb-mua-auto-update-p’ set to nil in my config. This was
already the case.

But calling (describe-variable) on ‘ebdb-mua-auto-update’ shows this
error with the following steps:

Steps:

1. Start emacs afresh

2. (setq debug-on-error t)

3. Launch gnus

4. C-h v ebdb-mua-auto-update-p RET

Result:

--8<---------------cut here---------------start------------->8---
Debugger entered--Lisp error: (file-missing "Cannot open load file" "No such file or directory" "vm-autoloads")
  require(vm-autoloads)
  byte-code("\300\301!\210\300\302!\210\300\303!\210\304\305\306\307\310\301%\210\311\305\312\313#\210\314\315\316\317\320DD\321\322\323%\207" [require ebdb-mua vm-autoloads vm custom-declare-group ebdb-mua-vm nil "VM-specific EBDB customizations" :group put custom-loads (ebdb-vm) custom-declare-variable ebdb-vm-auto-update-p funcall function #f(compiled-function () #<bytecode 0x1ffc1295d0cfd>) "VM-specific value of `ebdb-mua-auto-update-p'." :type (choice (const :tag "do nothing" nil) (const :tag "search for existing records" existing) (const :tag "update existing records" update) (const :tag "query for update or record creation" query) (const :tag "update or create automatically" create) (function :tag "User-defined function"))] 6)
  load("ebdb-vm" noerror nomessage)
  help--load-prefixes((("ebdb" "ebdb-vm" "ebdb-rmail" "ebdb-mhe" "ebdb-gnus" "ebdb-vm" "ebdb-rmail" "ebdb-mhe" "ebdb-gnus")))
  help--symbol-completion-table("ebdb-mua-auto-update-p" #f(compiled-function (vv) #<bytecode 0x1a0ef9ccbe7e4fb>) lambda)
  test-completion("ebdb-mua-auto-update-p" help--symbol-completion-table #f(compiled-function (vv) #<bytecode 0x1a0ef9ccbe7e4fb>))
  completion--complete-and-exit(20 42 exit-minibuffer #f(compiled-function () #<bytecode 0x1a43f3bf3badb7b6>))
  completion-complete-and-exit(20 42 exit-minibuffer)
  minibuffer-complete-and-exit()
  funcall-interactively(minibuffer-complete-and-exit)
  call-interactively(minibuffer-complete-and-exit nil nil)
  command-execute(minibuffer-complete-and-exit)
  read-from-minibuffer("Describe variable: " nil (keymap (10 . minibuffer-complete-and-exit) (13 . minibuffer-complete-and-exit) keymap (menu-bar keymap (minibuf "Minibuf" keymap (tab menu-item "Complete" minibuffer-complete :help "Complete as far as possible") (space menu-item "Complete Word" minibuffer-complete-word :help "Complete at most one word") (63 menu-item "List Completions" minibuffer-completion-help :help "Display all possible completions") "Minibuf")) (27 keymap (103 keymap (27 keymap (99 . switch-to-completions))) (118 . switch-to-completions)) (prior . switch-to-completions) (63 . minibuffer-completion-help) (32 . minibuffer-complete-word) (9 . minibuffer-complete) keymap (menu-bar keymap (minibuf "Minibuf" keymap (previous menu-item "Previous History Item" previous-history-element :help "Put previous minibuffer history element in the min...") (next menu-item "Next History Item" next-history-element :help "Put next minibuffer history element in the minibuf...") (isearch-backward menu-item "Isearch History Backward" isearch-backward :help "Incrementally search minibuffer history backward") (isearch-forward menu-item "Isearch History Forward" isearch-forward :help "Incrementally search minibuffer history forward") (return menu-item "Enter" exit-minibuffer :key-sequence "\15" :help "Terminate input and exit minibuffer") (quit menu-item "Quit" abort-recursive-edit :help "Abort input and exit minibuffer") "Minibuf")) (13 . exit-minibuffer) (10 . exit-minibuffer) (7 . abort-minibuffers) (C-tab . file-cache-minibuffer-complete) (9 . self-insert-command) (XF86Back . previous-history-element) (up . previous-line-or-history-element) (prior . previous-history-element) (XF86Forward . next-history-element) (down . next-line-or-history-element) (next . next-history-element) (27 keymap (60 . minibuffer-beginning-of-buffer) (114 . previous-matching-history-element) (115 . next-matching-history-element) (112 . previous-history-element) (110 . next-history-element))) nil nil nil nil)
  completing-read-default("Describe variable: " help--symbol-completion-table #f(compiled-function (vv) #<bytecode 0x1a0ef9ccbe7e4fb>) t nil nil nil nil)
  completing-read("Describe variable: " help--symbol-completion-table #f(compiled-function (vv) #<bytecode 0x1a0ef9ccbe7e4fb>) t nil nil nil)
  byte-code("\301 \302p\303\2\30\304\305\306\6\69\205\22\0\6\6\"\307\310\311\6\6\"\302\303\211\6\n9\205&\0\312\6\13!&\7\262\1\211\313\232\2034\0\3\202..." [enable-recursive-minibuffers variable-at-point t nil completing-read format-prompt "Describe variable" help--symbol-completion-table make-closure #f(compiled-function (vv) #<bytecode -0x1f9230fa89c11b08>) symbol-name "" intern] 13)
  call-interactively(describe-variable nil nil)
  command-execute(describe-variable)
--8<---------------cut here---------------end--------------->8---

If you enter any group and open an article, then the above error goes
away i.e. describe-variable works fine.